View Issue Details

IDProjectCategoryView StatusLast Update
15945Bug reportsConditionspublic2020-07-30 15:22
Reporterllattan Assigned To 
PriorityhighSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.1.8 
Summary15945: Cannot add condition based on Survey participant attributes
Description

Cannot add condition based on Survey participant attributes
(Always is selected Previous questions and cannot unselect "G01Q01")

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.1.8
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionmariadb-10.3
Server OS (if known)
Webserver software & version (if known)
PHP Version7.3.15

Relationships

related to 16518 resolved Cannot add condition based on Survey participant attributes 

Activities

gabrieljenik

gabrieljenik

2020-07-22 17:03

developer   ~59046

Last edited: 2020-07-22 17:04

View 2 revisions

The condition is added, but as is not saved correctly on the DB, it is not showed on the scenario list.
On DB the cfieldname = <some SGQ> whereas it should be cfieldname = <token attribute>

As that, the condition is not picked up correctly.

So, it needs to be fixed, how the conditions is saved on the DB

gabrieljenik

gabrieljenik

2020-07-28 18:53

developer   ~59125

Last edited: 2020-07-30 11:02

Considering editSourceTab for setting up the condition fieldName

As the question select was initialized, the p_cquestions field had a value.
As so, it was always set, no matter if a token field was chosen.
So, when selecting a token field, a question field was wrongly set on the condition.

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1505

sushmanadendla

sushmanadendla

2020-07-29 13:01

manager   ~59150

Last edited: 2020-07-30 11:02

Tested the issue before pulling the PR, Issue exist. Tested the issue after pulling the PR, working as expected. Below are the details:

  1. Before pulling the PR on clicking on add condition I get a message saying condition is added but it's not added or listed in default scenario.
  2. After Pulling the PR I added the condition based on survey participants, I was successfully able to add the condition and the added condition is listed under Default scenario.
    Please refer the attachment for more details

user231563

2020-07-30 10:54

  ~59195

Last edited: 2020-07-30 11:02

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30317

lime_release_bot

lime_release_bot

2020-07-30 15:22

administrator   ~59209

Fixed in Release 4.3.7+200730

Related Changesets

LimeSurvey: master 4e5af33b

2020-07-28 18:52:29

gabrieljenik


Committer: user231563 Details Diff
Fixed issue 15945: Cannot add condition based on Survey participant attributes

Considering editSourceTab for setting up the condition fieldName

As the question select was initialized, the p_cquestions field had a value.
As so, it was always set, no matter if a token field was chosen.
So, when selecting a token field, a question field was wrongly set on the condition.
Affected Issues
15945
mod - application/controllers/admin/conditionsaction.php Diff File

Issue History

Date Modified Username Field Change
2020-03-03 14:23 llattan New Issue
2020-03-16 18:51 cdorin Priority none => high
2020-03-16 18:51 cdorin Severity minor => partial_block
2020-03-16 18:51 cdorin Status new => confirmed
2020-07-22 17:03 gabrieljenik Note Added: 59046
2020-07-22 17:04 gabrieljenik Note Edited: 59046 View Revisions
2020-07-22 17:04 gabrieljenik Issue cloned: 16518
2020-07-22 17:04 gabrieljenik Relationship added related to 16518
2020-07-22 17:06 gabrieljenik Category Survey editing => Conditions
2020-07-28 18:53 gabrieljenik Note Added: 59125
2020-07-29 13:01 sushmanadendla Note Added: 59150
2020-07-29 13:01 sushmanadendla File Added: 15945_Surveyparticipantattributes_Addcondition.png
2020-07-30 10:54 user231563 Changeset attached => LimeSurvey master 4e5af33b
2020-07-30 10:54 user231563 Note Added: 59195
2020-07-30 11:02 swendrich Status confirmed => resolved
2020-07-30 15:22 lime_release_bot Note Added: 59209
2020-07-30 15:22 lime_release_bot Status resolved => closed
2020-07-30 15:22 lime_release_bot Resolution open => fixed